Create an issue link

Use this request to create a link between two issues. A link is created between the current issue (specified in the issue-id request parameter) and the linked issue (specified in the issue field of the request body).

POST

https://api.tracker.yandex.net/v3/issues/<issue_ID>/links

Query format

Before making a request, get permission to access the API.

To create a link, use an HTTP POST request:

POST /v3/issues/<issue_ID>/links
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
    "relationship": "<link_type>",
    "issue": "<issue>"
}
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more

  • X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Cloud Organization.

    To get the organization ID, go to AdministrationOrganizations and copy the value from the ID field.

Resource
Parameter Description Data type
<issue_key_or_ID> ID or key of the current issue. String
Request body parameters

Required parameters

Parameter

Description

Data type

relationship

Link type between issues:

  • relates — simple link;
  • is dependent by — the current issue blocks the linked issue;
  • depends on — the current issue depends on the linked issue;
  • is subtask for — the current issue is a subtask of the linked issue;
  • is parent task for — the current issue is a parent task for the linked issue;
  • duplicates — the current issue is a duplicate of the linked issue;
  • is duplicated by — the linked issue is a duplicate of the current issue;
  • is epic of — the current issue is an epic for the linked issue. You can set this link type only for issues of the "Epic" type.
  • has epic — the linked issue is an epic for the current issue. You can set this link type only for issues of the "Epic" type.

String

issue

ID or key of the linked issue

String

Creating a link:

  • An HTTP POST method is used.
POST /v3/issues/TEST-1/links HTTP/1.1
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
    "relationship": "relates",
    "issue": "TREK-2"
}

Response format

If the request is successful, the API returns a response with code 201 Created.

The response body contains the results in JSON format.

  {
    "self": "https://api.tracker.yandex.net/v3/issues/TEST-1/links/10*****",
    "id" : 10*****,
    "type" : {
      "self": "https://api.tracker.yandex.net/v3/linktypes/relates",
      "id" : "relates",
      "inward" : "relates",
      "outward" : "relates"
    },
    "direction" : "inward",
    "object" : {
      "self": "https://api.tracker.yandex.net/v3/issues/STARTREK-2",
      "id" : "4ff3e8dae4b0e2ac********",
      "key" : "TREK-2",
      "display" : "My issue"
    },
    "createdBy" : {
      "self": "https://api.tracker.yandex.net/v3/users/11********",
      "id": "11********",
      "display": "User Name",
      "cloudUid": "ajeppa7dgp53********",
      "passportUid": 11********
    },
    "updatedBy" : {
      "self": "https://api.tracker.yandex.net/v3/users/11********",
      "id": "11********",
      "display": "User Name",
      "cloudUid": "ajeppa7dgp53********",
      "passportUid": 11********
    },
    "createdAt" : "2014-06-18T12:06:02.401+0000",
    "updatedAt" : "2014-06-18T12:06:02.401+0000"
  }
Response parameters

Parameter

Description

Data type

self

Address of the API resource that contains information about the link

String

id

Link ID

Number

type

Block with link type information

Object

direction

Type of relationship of the issue specified in the request relative to the issue in the object field. Possible values:

  • outward — the issue specified in the request is primary for the issue in the object field;
  • inward — the issue in the object field is primary for the issue specified in the request

String

object

Block with linked issue information

Object

createdBy

Block with link creator information

Object

updatedBy

Block with information about the last user who modified the linked issue

Object

createdAt

Date and time the link was created

String

updatedAt

Date and time the link was modified

String

assignee

Assignee of the linked issue

Object

status

Status of the linked issue

Object

Parameter Description Data type
self Link to the link type. String
id Link type ID. String
inward Name of the link type for the issue in the object field relative to the issue specified in the request. String
outward Name of the link type for the issue specified in the request relative to the issue in the object field. String

object object fields

Parameter Description Data type
self Address of the API resource with information about the issue. String
id Issue ID. String
key Issue key. String
display Issue name displayed. String

createdBy, updatedBy, assignee object fields

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Cloud Organization String

status object fields

Parameter Description Data type
self Address of the API resource with information about the status. String
id Status ID. String
key Status key. String
display Status name displayed. String

If the request is processed incorrectly, the API returns a response with an error code:

404
The requested object was not found. You may have specified an invalid object ID or key.